VMSTAT(8)

NOME
vmstat - Relata estatísticas de memória virtual

SINOPSE
vmstat [opções] [atraso [contagem]]

DESCRIÇÃO
vmstat relata informações sobre processos, memória, paginação, E/S de bloco, traps, discos e atividade de cpu.

O primeiro relatório produzido fornece as médias desde a última reinicialização. Relatórios adicionais fornecem informações sobre um período de amostragem de atraso de comprimento. Os relatórios de processos e de memória são instantâneos em ambos os casos.

OPÇÕES

atraso
    O atraso entre atualizações em segundos. Se nenhum atraso for especificado, apenas um relatório é impresso com os valores médios desde a inicialização.

contagem
    Número de atualizações. Na ausência de contagem, quando atraso é definido, o padrão é infinito.

-a, --active
    Exibe memória ativa e inativa, com um kernel 2.5.41 ou superior.

-f, --forks
    A opção -f exibe o número de bifurcações (forks) desde a inicialização. Isso inclui as chamadas do sistema de fork, vfork e clone, e é equivalente ao número total de tarefas criadas. Cada processo é representado por uma ou mais tarefas, dependendo do uso do segmento. Esta exibição não se repete.

-m, --slabs
    Exibe slabinfo.

-n, --one-header
    Exibe o cabeçalho apenas uma vez em vez de periodicamente.

-s, --stats
    Exibe uma tabela de vários contadores de eventos e estatísticas de memória. Esta exibição não se repete.

-d, --disk
    Relata estatísticas de disco (requer 2.5.70 ou superior).

-D, --disk-sum
    Relata algumas estatísticas de resumo sobre a atividade do disco.

-p, --partition dispositivo
    Estatísticas detalhadas sobre partição (requer 2.5.70 ou superior).

-S, --unit caractere
    Muda as saídas entre 1000 (k), 1024 (K), 1000000 (m) ou 1048576 (M) bytes. Note que isso não altera os campos de blocos (bi/bo), que são sempre medidos em blocos.

-t, --timestamp
    Anexa o carimbo de tempo para cada linha.

-w, --wide
    Modo de saída ampla (útil para sistemas com maior quantidade de memória, onde o modo de saída padrão sofre de quebras de coluna indesejadas). A saída é maior do que 80 caracteres por linha.

-V, --version
    Exibe informação da versão e sai.

-h, --help
    Exibe a ajuda e sai.

DESCRIÇÃO DE CAMPOS PARA MODO DE VM

  Procs
r: The number of runnable processes (running or waiting for run time).
b: The number of processes blocked waiting for I/O to complete.

  Memória
These are affected by the --unit option.
swpd: the amount of swap memory used.
free: the amount of idle memory.
buff: the amount of memory used as buffers.
cache: the amount of memory used as cache.
inact: the amount of inactive memory.  (-a option)
active: the amount of active memory.  (-a option)

  Swap
These are affected by the --unit option.
si: Quantidade de memória trocada do disco (/s).
so: Quantidade de memória trocada para o disco (/s).

  E/S
bi: Blocos recebidos de um dispositivo de bloco (blocos/s).
bo: Blocos enviados para um dispositivo de bloco (blocos/s).

  Sistema
in: O número de interrupções por segundo, incluindo o relógio.
cs: o número de trocas de contexto por segundo.

  CPU
Esses são percentuais de tempo total de CPU.
us: tempo gasto executando código não kernel. (tempo do usuário, incluindo tempo de nice)
sy: Tempo gasto executando código de kernel. (tempo do sistema)
id: tempo gasto ocioso. Antes do Linux 2.5.41, isso inclui o tempo de espera E/S.
wa: Tempo gasto à espera de E/S. Antes do Linux 2.5.41, incluído no modo ocioso.
st: Tempo roubado de uma máquina virtual. Antes do Linux 2.6.11, desconhecido.

DESCRIÇÃO DE CAMPOS PARA MODO DE DISCO

  Leituras
total: Total de leituras concluídas com sucesso
mescl.: Leituras agrupadas (resultando em uma E/S)
setores: Setores lidos com sucesso
ms: Milissegundos gastos lendo

  Escritas
total: Total de escritas concluídas com sucesso
mescl.: Escritas agrupadas (resultando em uma E/S)
setores: Setores escritos com sucesso
ms: Milissegundos gastos escrevendo

  E/S
atu: E/S em progresso
s: segundos gastos para E/S

DESCRIÇÃO DE CAMPOS PARA MODO DE PARTIÇÃO
leituras: Número total de leituras emitidas para esta partição
set. lidos: Total de setores lidos para a partição
escritas: Número total de escritas emitidas para esta partição
escrit. solic: Número total de solicitações de escrita feitas para partição

DESCRIÇÃO DE CAMPOS PARA MODO DE SLAB
cache: Nome do cache
núm: Número de objetos atualmente ativos
total: Número total de objetos disponíveis
tam.: Tamanho de cada objeto
págs.: Número de páginas com pelo menos um objeto ativo

NOTAS
vmstat does not require special permissions.

Esses relatórios destinam-se a ajudar a identificar os gargalos do sistema. O vmstat do Linux não conta como um processo em execução.

Todos os blocos do Linux são atualmente 1024 bytes. Os kernels antigos podem relatar blocos como 512 bytes, 2048 bytes ou 4096 bytes.

Desde procps 3.1.9, vmstat permite que você escolha unidades (k, K, m, M). O padrão é K (1024 bytes) no modo padrão.

vmstat usa slabinfo 1.1

ARQUIVOS
/proc/meminfo
/proc/stat
/proc/*/stat

VEJA TAMBÉM
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1)

ERROS
Não tabula a e/s de bloco por dispositivo ou conta o número de chamadas de sistema.

AUTORES
Escrito por Henry Ware (al172@yfn.ysu.edu).
Fabian Frédérick (ffrederick@users.sourceforge.net) (diskstat, slab, partições...)

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org